<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
-->
<ui:composition template="/template_1.xhtml"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui">
    <ui:define name="title">
        <h:outputText value="#{bundle.EditNoticiasTitle}"></h:outputText>
    </ui:define>
    <ui:define name="bodys">

        <h:form>
            <p:growl id="growl" showDetail="true" /> 
            <h:panelGrid columns="3">
                <h:outputLabel value="Título: *" for="tituloNot" />
                <h:inputText id="tituloNot" value="#{noticiasController.selected.noticiaTitulo}"   required="true">
                    <p:ajax update="msgTitulo" event="keyup" />
                </h:inputText>
                <p:message for="tituloNot" id="msgTitulo" display="tooltip" />  
                <h:outputLabel value="#{bundle.CreateNoticiasLabel_noticiaFecha}" for="fecha" />
                <p:calendar id="fecha" value="#{noticiasController.selected.noticiaFecha}">
                    <p:ajax event="dateSelect" listener="#{noticiasController.onDateSelect}" update="growl" />
                </p:calendar>
                <p:message for="fecha" id="msgFecha" display="tooltip" />  
                <h:outputLabel value="#{bundle.CreateNoticiasLabel_noticiaImagen}" for="minuta" />
                <p:graphicImage id="fotoNoticia" height="150px" value="#{pageContext.contextPath}/Recursos/ImagenesNoticias/#{noticiasController.selected.noticiaImagen}" />
                <p:fileUpload id="minuta" fileUploadListener="#{noticiasController.handleFileUploadNoticia}"
                              mode="advanced" update="growl" multiple="true"
                              sizeLimit="900000000" auto="true"
                              allowTypes="/(\.|\/)(gif|jpe?g|png|txt)$/"
                              uploadLabel="Cargar" cancelLabel="Cancelar" label="Buscar archivo"
                              required="true" />
                <h:outputLabel value="#{bundle.CreateNoticiasLabel_noticiaDescripcion}" for="descripcion" />
                <h:inputTextarea id="descripcionNot" value="#{noticiasController.selected.noticiaDescripcion}">
                    <p:ajax event="keyup" listener="#{noticiasController.selected.setNoticiaDescripcionNueva(noticiasController.selected.noticiaDescripcion, event)}"/>
                </h:inputTextarea>
                <p:message for="descripcionNot" id="msgDescripcion" display="tooltip" />
                <h:outputLabel value="#{bundle.CreateNoticiasLabel_noticiaFuente}" for="fuente" />
                <h:inputText id="fuente"  value="#{noticiasController.selected.noticiaFuente}" 
                             title="#{bundle.CreateNoticiasTitle_noticiaFuente}"  >
                    <p:ajax event="keyup" listener="#{noticiasController.selected.setNoticiaFuenteNueva(noticiasController.selected.noticiaFuente, event)}"/>
                </h:inputText>
                <p:message for="fuente" id="msgFuente" display="tooltip" />
            </h:panelGrid>
            <h:commandButton action="#{noticiasController.update}" value="#{bundle.EditNoticiasSaveLink}" immediate="true" >
                <p:ajax update=":tabViewAdmin:noticiasPanel:formNoticias:tablaNoticias" 
                        process="@this" oncomplete="PF('dlgNoticia').hide();"/>
            </h:commandButton>
        </h:form>
    </ui:define>
</ui:composition>
<!--
</html>-->
